## com.bbn.openmap.geo
Class MatchCollector.SetMatchCollector

    java.lang.Object
      com.bbn.openmap.geo.MatchCollector.SetMatchCollector

All Implemented Interfaces:
  MatchCollector

Direct Known Subclasses:
  BoundaryCrossing.Collector

Enclosing class:
  MatchCollector

public static class MatchCollector.SetMatchCollector
extends java.lang.Object
implements MatchCollector

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.MatchCollector
`MatchCollector.CollectionMatchCollector, MatchCollector.Pair, MatchCollector.PairArrayMatchCollector, MatchCollector.SetMatchCollector`

Field Summary
`protected java.util.HashSet` `result`

Constructor Summary
`MatchCollector.SetMatchCollector()`

Method Summary
`void` `collect(java.lang.Object a, java.lang.Object b)` collect an indication that the query object a (or some part of it) matches object b in some way, presumably by intersection.
`java.util.Iterator` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected final java.util.HashSet result

Constructor Detail

### MatchCollector.SetMatchCollector

    public MatchCollector.SetMatchCollector()

Method Detail

### collect

    public void collect(java.lang.Object a,
                        java.lang.Object b)

  Description copied from interface: `MatchCollector`
  collect an indication that the query object a (or some part of it) matches object b in some way, presumably by intersection.

  Specified by:
    `collect` in interface `MatchCollector`
  Parameters:
    `a` -
    `b` -

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `MatchCollector`
  Returns:
    an iterator over the previously collected elements *

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details